Uploaded image for project: 'Spring Tool Suite'
  1. Spring Tool Suite
  2. STS-1261

creating a grails project with a project specific grails installation (not default) is ignored - it still uses the default version

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 2.1.0.RC1
    • Fix Version/s: 2.5.0.RC1
    • Component/s: GRAILS
    • Labels:
      None
    • Environment:
      kubuntu 10.04, jvm 1.6.20, grails 1.3.4 / 1.3.5, sts 2.5.0.M3 (nightly)

      Description

      When using the Dialog "Create new Grails Project" and selecting "Use project specific Grails installation:" it still uses the default installation to create the project resulting in "wrong" versions in application.properties etc.

      It might set the project specific version for the project in project properties ... but the create-app script is executed with the default grails installation -> which leads to the versions of the default grails installatoin in application.properties

        Activity

        Hide
        kdvolder Kris De Volder added a comment -

        The problem is easily reproducible for me. I'll take a look at fixing this.

        Show
        kdvolder Kris De Volder added a comment - The problem is easily reproducible for me. I'll take a look at fixing this.
        Hide
        kdvolder Kris De Volder added a comment -

        Committing a fix.

        Show
        kdvolder Kris De Volder added a comment - Committing a fix.

          People

          • Assignee:
            Unassigned
            Reporter:
            kosta Konstantinos Kostarellis
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: